﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.Core;
using HeuristicLab.MainForm;
using HeuristicLab.Optimization;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Hive.Experiment.Views {
  [View("HiveExperimentList View")]
  [Content(typeof(HiveExperimentList), true)]
  [Content(typeof(IItemList<HiveExperiment>), false)]
  public partial class HiveExperimentListView : ItemListView<HiveExperiment> {

    public HiveExperimentListView() {
      InitializeComponent();
      itemsGroupBox.Text = "Hive Experiments";
    }

    protected override HiveExperiment CreateItem() {
      return new HiveExperiment();
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
    }
  }
}
