﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Hive.Contracts.BusinessObjects;
using HeuristicLab.Hive.Contracts.Interfaces;
using HeuristicLab.Hive.Experiment.Properties;
using System.ServiceModel;
using System.Threading;
using HeuristicLab.Hive.Contracts.ResponseObjects;

namespace HeuristicLab.Hive.Experiment {
  [Item("HiveExperiment List", "Represents a list of hive experiments.")]
  [StorableClass]
  public class HiveExperimentList : ItemList<HiveExperiment> {
    public HiveExperimentList() : base() { }
    public HiveExperimentList(int capacity) : base(capacity) { }
    public HiveExperimentList(IEnumerable<HiveExperiment> collection) : base(collection) { }

    public override Common.IDeepCloneable Clone(Common.Cloner cloner) {
      HiveExperimentList clone = (HiveExperimentList)base.Clone(cloner);
      return clone;
    }
  }
}
